Bug 180615 - [PATCH] devel/qtcreator: update to 2.8.0
[PATCH] devel/qtcreator: update to 2.8.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: kde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 20:30 UTC by sergey.v.brunov
Modified: 2013-10-14 00:20 UTC (History)
1 user (show)

See Also:


Attachments
qtcreator-2.8.0.patch (76.05 KB, patch)
2013-07-17 20:30 UTC, sergey.v.brunov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sergey.v.brunov 2013-07-17 20:30:00 UTC
- Update to 2.8.0

Port maintainer (kde@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-17 20:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-08-03 22:54:23 UTC
State Changed
From-To: open->patched

I've committed a modified version to area51, and I will commit it with 
the Qt 4.8.5 update. Any further testing is appreciated. Thanks!
Comment 3 dfilter freebsd_committer 2013-10-14 00:16:09 UTC
Author: rakuco
Date: Sun Oct 13 23:15:50 2013
New Revision: 330266
URL: http://svnweb.freebsd.org/changeset/ports/330266

Log:
  Update Qt to 4.8.5 and Qt Creator to 2.8.0.
  
  Proudly brought to you by the KDE on FreeBSD team, with commits by makc@,
  Schaich Alonso and yours truly.
  
  Besides the tons of upstream fixes, we have mkspecs for GCC 4.9 and clang33
  (from ports), staging support in the Makefiles and dependency fixes related
  to pkg-config.
  
  Many thanks to the people who helped test the ports using our area51
  repository, and also to the people who provided patches and bug reports via
  GNATS!
  
  PR:		ports/180615
  	        ports/181921
  		ports/182049

Deleted:
  head/devel/qt4-corelib/files/patch-git_8d33f67
  head/devel/qt4-corelib/files/patch-git_ccd1b2ee
  head/devel/qt4-corelib/files/patch-src__corelib__animation__qpropertyanimation.cpp
  head/devel/qt4-declarative/files/
  head/devel/qt4-makeqpf/files/
  head/devel/qt4-moc/files/
  head/devel/qt4-script/files/patch-src__3rdparty__javascriptcore__JavaScriptCore__interpreter__Interpreter.cpp
  head/devel/qtcreator/files/
  head/graphics/qt4-imageformats/files/
  head/graphics/qt4-svg/files/
  head/www/qt4-webkit/files/patch-git_ccd1b2ee
  head/x11-toolkits/qt4-gui/files/
  head/x11/qt4-graphicssystems-opengl/files/
  head/x11/qt4-opengl/files/
Modified:
  head/Mk/bsd.qt.mk
  head/accessibility/qt4-accessible/Makefile
  head/chinese/qt4-codecs-cn/Makefile
  head/chinese/qt4-codecs-tw/Makefile
  head/databases/qt4-ibase-plugin/Makefile
  head/databases/qt4-ibase-plugin/files/Makefile.bsd
  head/databases/qt4-mysql-plugin/Makefile
  head/databases/qt4-mysql-plugin/files/Makefile.bsd
  head/databases/qt4-odbc-plugin/Makefile
  head/databases/qt4-odbc-plugin/files/Makefile.bsd
  head/databases/qt4-pgsql-plugin/Makefile
  head/databases/qt4-pgsql-plugin/files/Makefile.bsd
  head/databases/qt4-sql/Makefile
  head/databases/qt4-sqlite-plugin/Makefile
  head/databases/qt4-sqlite-plugin/files/Makefile.bsd
  head/databases/qt4-sqlite3-plugin/Makefile
  head/databases/qt4-sqlite3-plugin/files/Makefile.bsd
  head/devel/dbus-qt4/Makefile
  head/devel/qmake4/Makefile
  head/devel/qmake4/files/Makefile.bsd
  head/devel/qmake4/pkg-plist
  head/devel/qt4-assistant-adp/Makefile
  head/devel/qt4-assistant/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt4-corelib/pkg-plist
  head/devel/qt4-declarative/Makefile
  head/devel/qt4-designer/Makefile
  head/devel/qt4-help-tools/Makefile
  head/devel/qt4-help/Makefile
  head/devel/qt4-libqtassistantclient/Makefile
  head/devel/qt4-linguist/Makefile
  head/devel/qt4-makeqpf/Makefile
  head/devel/qt4-moc/Makefile
  head/devel/qt4-porting/Makefile
  head/devel/qt4-qdbusviewer/Makefile
  head/devel/qt4-qdoc3/Makefile
  head/devel/qt4-qmlviewer/Makefile
  head/devel/qt4-qt3support/Makefile
  head/devel/qt4-qtestlib/Makefile
  head/devel/qt4-qvfb/Makefile
  head/devel/qt4-rcc/Makefile
  head/devel/qt4-script/Makefile
  head/devel/qt4-scripttools/Makefile
  head/devel/qt4-uic/Makefile
  head/devel/qt4-uic3/Makefile
  head/devel/qt4/Makefile
  head/devel/qt4/distinfo
  head/devel/qt4/files/patch-configure
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/distinfo
  head/devel/qtcreator/pkg-plist
  head/graphics/qt4-iconengines/Makefile
  head/graphics/qt4-imageformats/Makefile
  head/graphics/qt4-pixeltool/Makefile
  head/graphics/qt4-svg/Makefile
  head/japanese/qt4-codecs-jp/Makefile
  head/korean/qt4-codecs-kr/Makefile
  head/misc/qt4-doc/Makefile
  head/misc/qt4-doc/pkg-plist
  head/misc/qt4-l10n/Makefile
  head/misc/qt4-qtconfig/Makefile
  head/misc/qt4-qtdemo/Makefile
  head/multimedia/qt4-multimedia/Makefile
  head/net/qt4-network/Makefile
  head/textproc/qt4-clucene/Makefile
  head/textproc/qt4-xml/Makefile
  head/textproc/qt4-xmlpatterns-tool/Makefile
  head/textproc/qt4-xmlpatterns/Makefile
  head/www/qt4-webkit/Makefile
  head/www/qt4-webkit/pkg-plist
  head/x11-toolkits/qt4-gui/Makefile
  head/x11/qt4-graphicssystems-opengl/Makefile
  head/x11/qt4-inputmethods/Makefile
  head/x11/qt4-opengl/Makefile

Modified: head/Mk/bsd.qt.mk
==============================================================================
--- head/Mk/bsd.qt.mk	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/Mk/bsd.qt.mk	Sun Oct 13 23:15:50 2013	(r330266)
@@ -34,6 +34,10 @@ DISTNAME=	qt-everywhere-opensource-src-$
 DIST_SUBDIR=	KDE
 #CONFLICTS+=	Currently there are no conflicts \o/
 
+
+# Stage support
+DESTDIRNAME=	INSTALL_ROOT
+
 # rene: can go after a while
 CONFLICTS_BUILD=	qt-3.* qt-copy-3.*
 
@@ -106,9 +110,7 @@ QMAKE?=		${QT_PREFIX}/bin/qmake-qt4
 QMAKEFLAGS+=	QMAKE_CC="${CC}" QMAKE_CXX="${CXX}" \
 		QMAKE_LINK="${CXX}" QMAKE_LINK_SHLIB="${CXX}" \
 		QMAKE_LINK_C="${CC}" QMAKE_LINK_C_SHLIB="${CC}" \
-		QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}" \
-		QMAKE_CFLAGS_THREAD="${PTHREAD_CFLAGS}" \
-		QMAKE_LFLAGS_THREAD="${PTHREAD_LIBS}"
+		QMAKE_CFLAGS="${CFLAGS}" QMAKE_CXXFLAGS="${CXXFLAGS}"
 
 QTCPPFLAGS?=
 QTCGFLIBS?=
@@ -118,7 +120,7 @@ QTCGFLIBS?=
 #
 # QT4 version
 #
-QT4_VERSION?=		4.8.4
+QT4_VERSION?=		4.8.5
 
 _USE_QT4_ALL=	accessible assistant assistant-adp assistantclient \
 			clucene codecs-cn codecs-jp codecs-kr codecs-tw corelib \

Modified: head/accessibility/qt4-accessible/Makefile
==============================================================================
--- head/accessibility/qt4-accessible/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/accessibility/qt4-accessible/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -9,7 +9,6 @@ PKGNAMEPREFIX=	qt4-
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Qt accessibility widgets
 
-NO_STAGE=	yes
 USE_QT4=	qmake_build moc_build qt3support corelib gui network sql xml
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
@@ -36,7 +35,7 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/plugins/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs

Modified: head/chinese/qt4-codecs-cn/Makefile
==============================================================================
--- head/chinese/qt4-codecs-cn/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/chinese/qt4-codecs-cn/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -36,9 +36,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/plugins/${PORTNAME}/cn
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/chinese/qt4-codecs-tw/Makefile
==============================================================================
--- head/chinese/qt4-codecs-tw/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/chinese/qt4-codecs-tw/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -36,9 +36,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/plugins/${PORTNAME}/tw
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/databases/qt4-ibase-plugin/Makefile
==============================================================================
--- head/databases/qt4-ibase-plugin/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-ibase-plugin/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -3,7 +3,6 @@
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}
-PORTREVISION=	1
 CATEGORIES=	databases
 
 MAINTAINER=	kde@FreeBSD.org
@@ -30,5 +29,10 @@ MAKE_ENV+=	DB="${DB}" DRIVER="${DRIVER}"
 		QT_LIBDIR="${QT_LIBDIR}"
 PLIST_SUB=	DB=${DB}
 
-NO_STAGE=	yes
+SQL_PLUGINDIR=	${PREFIX}/${QT_PLUGINDIR_REL}/sqldrivers
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${SQL_PLUGINDIR}
+	${INSTALL_LIB} ${WRKSRC}/libqsql${DB}.so ${STAGEDIR}${SQL_PLUGINDIR}
+
 .include <bsd.port.mk>

Modified: head/databases/qt4-ibase-plugin/files/Makefile.bsd
==============================================================================
--- head/databases/qt4-ibase-plugin/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-ibase-plugin/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -6,21 +6,14 @@ CXXFLAGS+=	-I${DRIVER} -Iinclude \
 		-I${QT_INCDIR}/Qt \
 		-I${QT_INCDIR}/QtCore \
 		-I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS} -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
+		-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
 		-DQT_PLUGIN -DQT_SQL_LIB -DQT_CORE_LIB -D_LARGEFILE64_SOURCE \
 		-D_LARGEFILE_SOURCE -DQT_SHARED
 MOC?=		${LOCALBASE}/bin/moc-qt4
-LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib ${PTHREAD_LIBS} -lQtSql -lgds
+LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -pthread -lQtSql -lgds
 SRCS=		main.cpp qsql_${DB}.cpp moc_qsql_${DB}.cpp
 
-LIBDIR=		${PREFIX}/lib/qt4/plugins/sqldrivers
-
-${LIBDIR}:
-	mkdir -p ${LIBDIR}
-
 moc_qsql_${DB}.cpp: qsql_${DB}.h
 	$(MOC) $(.ALLSRC) -o $(.TARGET)
 
-beforeinstall:	${LIBDIR}
-
 .include <bsd.lib.mk>

Modified: head/databases/qt4-mysql-plugin/Makefile
==============================================================================
--- head/databases/qt4-mysql-plugin/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-mysql-plugin/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -28,5 +28,10 @@ MAKE_ENV+=	DB="${DB}" DRIVER="${DRIVER}"
 		QT_LIBDIR="${QT_LIBDIR}"
 PLIST_SUB=	DB=${DB}
 
-NO_STAGE=	yes
+SQL_PLUGINDIR=	${PREFIX}/${QT_PLUGINDIR_REL}/sqldrivers
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${SQL_PLUGINDIR}
+	${INSTALL_LIB} ${WRKSRC}/libqsql${DB}.so ${STAGEDIR}${SQL_PLUGINDIR}
+
 .include <bsd.port.mk>

Modified: head/databases/qt4-mysql-plugin/files/Makefile.bsd
==============================================================================
--- head/databases/qt4-mysql-plugin/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-mysql-plugin/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -6,23 +6,16 @@ CXXFLAGS+=	-I${DRIVER} \
 		-I${QT_INCDIR}/Qt \
 		-I${LOCALBASE}/include/mysql \
 		-I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS} -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII -DQT_PLUGIN \
+		-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII -DQT_PLUGIN \
 		-DQT_SQL_LIB -DQT_CORE_LIB -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_SHARED
-LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -L${LOCALBASE}/lib/mysql ${PTHREAD_LIBS} -lQtSql -lmysqlclient_r 
+LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -L${LOCALBASE}/lib/mysql -pthread -lQtSql -lmysqlclient_r 
 MOC?=		${LOCALBASE}/bin/moc-qt4
 SRCS=		main.cpp qsql_${DB}.cpp moc_qsql_${DB}.cpp qsql_${DB}.moc
 
-LIBDIR=		${PREFIX}/lib/qt4/plugins/sqldrivers
-
-${LIBDIR}:
-	mkdir -p ${LIBDIR}
-
 moc_qsql_${DB}.cpp: qsql_${DB}.h
 	$(MOC) $(.ALLSRC) -o $(.TARGET)
 
 qsql_${DB}.moc: qsql_${DB}.cpp
 	$(MOC) $(.ALLSRC) -o ${DRIVER}/$(.TARGET)
 
-beforeinstall:	${LIBDIR}
-
 .include <bsd.lib.mk>

Modified: head/databases/qt4-odbc-plugin/Makefile
==============================================================================
--- head/databases/qt4-odbc-plugin/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-odbc-plugin/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -29,5 +29,10 @@ MAKE_ENV+=	DB="${DB}" DRIVER="${DRIVER}"
 		QT_LIBDIR="${QT_LIBDIR}"
 PLIST_SUB=	DB=${DB}
 
-NO_STAGE=	yes
+SQL_PLUGINDIR=	${PREFIX}/${QT_PLUGINDIR_REL}/sqldrivers
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${SQL_PLUGINDIR}
+	${INSTALL_LIB} ${WRKSRC}/libqsql${DB}.so ${STAGEDIR}${SQL_PLUGINDIR}
+
 .include <bsd.port.mk>

Modified: head/databases/qt4-odbc-plugin/files/Makefile.bsd
==============================================================================
--- head/databases/qt4-odbc-plugin/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-odbc-plugin/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -7,21 +7,14 @@ CXXFLAGS+=	-I${DRIVER} \
 		-I${QT_INCDIR}/QtCore \
 		-I${QT_INCDIR}/QtSql \
 		-I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS} -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
+		-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
 		-DQT_PLUGIN -DQT_SQL_LIB -DQT_CORE_LIB -D_LARGEFILE64_SOURCE \
 		-D_LARGEFILE_SOURCE -DQT_SHARED -DUNICODE
-LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib ${PTHREAD_LIBS} -lQtSql -lodbc
+LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -pthread -lQtSql -lodbc
 MOC?=		${LOCALBASE}/bin/moc-qt4
 SRCS=		main.cpp qsql_${DB}.cpp moc_qsql_${DB}.cpp
 
-LIBDIR=		${PREFIX}/lib/qt4/plugins/sqldrivers
-
-${LIBDIR}:
-	mkdir -p ${LIBDIR}
-
 moc_qsql_${DB}.cpp: qsql_${DB}.h
 	$(MOC) $(.ALLSRC) -o $(.TARGET)
 
-beforeinstall:	${LIBDIR}
-
 .include <bsd.lib.mk>

Modified: head/databases/qt4-pgsql-plugin/Makefile
==============================================================================
--- head/databases/qt4-pgsql-plugin/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-pgsql-plugin/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -28,5 +28,10 @@ MAKE_ENV+=	DB="${DB}" DRIVER="${DRIVER}"
 		QT_LIBDIR="${QT_LIBDIR}"
 PLIST_SUB=	DB=${DB}
 
-NO_STAGE=	yes
+SQL_PLUGINDIR=	${PREFIX}/${QT_PLUGINDIR_REL}/sqldrivers
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${SQL_PLUGINDIR}
+	${INSTALL_LIB} ${WRKSRC}/libqsql${DB}.so ${STAGEDIR}${SQL_PLUGINDIR}
+
 .include <bsd.port.mk>

Modified: head/databases/qt4-pgsql-plugin/files/Makefile.bsd
==============================================================================
--- head/databases/qt4-pgsql-plugin/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-pgsql-plugin/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -6,21 +6,14 @@ CXXFLAGS+=	-I${DRIVER} \
 		-I${QT_INCDIR}/Qt \
 		-I${LOCALBASE}/include/postgresql/server \
 		-I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS} -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
+		-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
 		-DQT_PLUGIN -DQT_SQL_LIB -DQT_CORE_LIB -D_LARGEFILE64_SOURCE \
 		-D_LARGEFILE_SOURCE -DQT_SHARED
 MOC?=		${LOCALBASE}/bin/moc-qt4
-LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib ${PTHREAD_LIBS} -lQtSql -lpq
+LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -pthread -lQtSql -lpq
 SRCS=		main.cpp qsql_${DB}.cpp moc_qsql_${DB}.cpp
 
-LIBDIR=		${PREFIX}/lib/qt4/plugins/sqldrivers
-
-${LIBDIR}:
-	mkdir -p ${LIBDIR}
-
 moc_qsql_${DB}.cpp: qsql_${DB}.h
 	$(MOC) $(.ALLSRC) -o $(.TARGET)
 
-beforeinstall:	${LIBDIR}
-
 .include <bsd.lib.mk>

Modified: head/databases/qt4-sql/Makefile
==============================================================================
--- head/databases/qt4-sql/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-sql/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -36,9 +36,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/databases/qt4-sqlite-plugin/Makefile
==============================================================================
--- head/databases/qt4-sqlite-plugin/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-sqlite-plugin/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -30,5 +30,10 @@ MAKE_ENV+=	DB="${DB}" DRIVER="${DRIVER}"
 		QT_LIBDIR="${QT_LIBDIR}"
 PLIST_SUB=	DB=${DB}
 
-NO_STAGE=	yes
+SQL_PLUGINDIR=	${PREFIX}/${QT_PLUGINDIR_REL}/sqldrivers
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${SQL_PLUGINDIR}
+	${INSTALL_LIB} ${WRKSRC}/libq${DB}.so ${STAGEDIR}${SQL_PLUGINDIR}
+
 .include <bsd.port.mk>

Modified: head/databases/qt4-sqlite-plugin/files/Makefile.bsd
==============================================================================
--- head/databases/qt4-sqlite-plugin/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-sqlite-plugin/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -5,21 +5,14 @@ CXXFLAGS+=	-I${DRIVER} -Iinclude \
 		-I${QT_INCDIR} \
 		-I${QT_INCDIR}/Qt \
 		-I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS} -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
+		-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
 		-DQT_PLUGIN -DQT_SQL_LIB -DQT_CORE_LIB -D_LARGEFILE64_SOURCE \
 		-D_LARGEFILE_SOURCE -DQT_SHARED
 MOC?=		${LOCALBASE}/bin/moc-qt4
-LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib ${PTHREAD_LIBS} -lQtSql -lsqlite
+LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -pthread -lQtSql -lsqlite
 SRCS=		smain.cpp qsql_${DB}.cpp moc_qsql_${DB}.cpp
 
-LIBDIR=		${PREFIX}/lib/qt4/plugins/sqldrivers
-
-${LIBDIR}:
-	mkdir -p ${LIBDIR}
-
 moc_qsql_${DB}.cpp: qsql_${DB}.h
 	$(MOC) $(.ALLSRC) -o $(.TARGET)
 
-beforeinstall:	${LIBDIR}
-
 .include <bsd.lib.mk>

Modified: head/databases/qt4-sqlite3-plugin/Makefile
==============================================================================
--- head/databases/qt4-sqlite3-plugin/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-sqlite3-plugin/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -31,5 +31,10 @@ MAKE_ENV+=	DB="${DB}" DRIVER="${DRIVER}"
 		QT_LIBDIR="${QT_LIBDIR}"
 PLIST_SUB=	DB=${DB}
 
-NO_STAGE=	yes
+SQL_PLUGINDIR=	${PREFIX}/${QT_PLUGINDIR_REL}/sqldrivers
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${SQL_PLUGINDIR}
+	${INSTALL_LIB} ${WRKSRC}/libq${DB}.so ${STAGEDIR}${SQL_PLUGINDIR}
+
 .include <bsd.port.mk>

Modified: head/databases/qt4-sqlite3-plugin/files/Makefile.bsd
==============================================================================
--- head/databases/qt4-sqlite3-plugin/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/databases/qt4-sqlite3-plugin/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -5,21 +5,14 @@ CXXFLAGS+=	-I${DRIVER} -Iinclude \
 		-I${QT_INCDIR} \
 		-I${QT_INCDIR}/Qt \
 		-I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS} -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
+		-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII \
 		-DQT_PLUGIN -DQT_SQL_LIB -DQT_CORE_LIB -D_LARGEFILE64_SOURCE \
 		-D_LARGEFILE_SOURCE -DQT_SHARED
 MOC?=		${LOCALBASE}/bin/moc-qt4
-LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib ${PTHREAD_LIBS} -lQtSql -lsqlite3
+LDADD=		-L${QT_LIBDIR} -L${LOCALBASE}/lib -pthread -lQtSql -lsqlite3
 SRCS=		smain.cpp qsql_${DB}.cpp moc_qsql_${DB}.cpp
 
-LIBDIR=		${PREFIX}/lib/qt4/plugins/sqldrivers
-
-${LIBDIR}:
-	mkdir -p ${LIBDIR}
-
 moc_qsql_${DB}.cpp: qsql_${DB}.h
 	$(MOC) $(.ALLSRC) -o $(.TARGET)
 
-beforeinstall:	${LIBDIR}
-
 .include <bsd.lib.mk>

Modified: head/devel/dbus-qt4/Makefile
==============================================================================
--- head/devel/dbus-qt4/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/dbus-qt4/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -40,9 +40,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/qdbus
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 # Without this workaround, qdbus crashes.

Modified: head/devel/qmake4/Makefile
==============================================================================
--- head/devel/qmake4/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qmake4/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -3,7 +3,6 @@
 
 PORTNAME=	qmake
 DISTVERSION=	${QT4_VERSION}
-PORTREVISION=	1
 CATEGORIES=	devel
 PKGNAMEPREFIX=	qt4-
 
@@ -37,7 +36,6 @@ EXTRACT_AFTER_ARGS= \
 	'${DISTNAME}/tools/shared/symbian' \
 	'${DISTNAME}/tools/shared/windows'
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|-O2|${CXXFLAGS}|' \
 		-e 's|/usr/local|${LOCALBASE}|' \
@@ -60,9 +58,16 @@ post-patch:
 		-e 's|gcc46|clang|g' \
 		-e 's|g++46|clang++|g' \
 		${WRKSRC}/../mkspecs/freebsd-clang/qmake.conf
+# mkspec for devel/clang33
+	@${CP} -PpR ${WRKSRC}/../mkspecs/freebsd-g++46 ${WRKSRC}/../mkspecs/freebsd-clang++33
+	@${REINPLACE_CMD} -e 's|g++-unix.conf|clang.conf|g' \
+		-e 's|freebsd-g++46|freebsd-clang++33|g' \
+		-e 's|gcc46|clang33|g' \
+		-e 's|g++46|clang++33|g' \
+		${WRKSRC}/../mkspecs/freebsd-clang++33/qmake.conf
 
 # Add mkspecs for the different GCC versions in the ports tree
-.for v in 42 44 47 48
+.for v in 42 44 47 48 49
 	@${CP} -PpR ${WRKSRC}/../mkspecs/freebsd-g++46 ${WRKSRC}/../mkspecs/freebsd-g++${v}
 	@${REINPLACE_CMD} -e 's|46|${v}|g' \
 		${WRKSRC}/../mkspecs/freebsd-g++${v}/qmake.conf
@@ -76,7 +81,10 @@ do-configure:
 	${ECHO} '/* empty */' > ${WRKSRC}/qconfig.h
 	${LN} ${WRKSRC}/qconfig.h ${WRKSRC}/../src/corelib/global/qconfig.h
 
-post-install:
-	${LN} -sf ${PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_BASE_COMPILER} ${PREFIX}/share/qt4/mkspecs/default
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/qmake-qt4 ${STAGEDIR}${PREFIX}/bin
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/qt4 && \
+	cd ${WRKSRC}/.. && ${COPYTREE_SHARE} mkspecs ${STAGEDIR}${PREFIX}/share/qt4
+	${LN} -sf ${PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_BASE_COMPILER} ${STAGEDIR}${PREFIX}/share/qt4/mkspecs/default
 
 .include <bsd.port.mk>

Modified: head/devel/qmake4/files/Makefile.bsd
==============================================================================
--- head/devel/qmake4/files/Makefile.bsd	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qmake4/files/Makefile.bsd	Sun Oct 13 23:15:50 2013	(r330266)
@@ -43,12 +43,5 @@ CXXFLAGS+=-DQT_NO_TEXTCODEC -DQT_NO_UNIC
 
 PROG_CXX=	qmake-qt4
 BINDIR=	${PREFIX}/bin
-SHAREDIR=${PREFIX}/share/qt4
-
-${SHAREDIR}:
-	mkdir -p "$@"
-
-beforeinstall: ${SHAREDIR}
-	cp -Rp ${.CURDIR:H}/mkspecs ${SHAREDIR}
 
 .include <bsd.prog.mk>

Modified: head/devel/qmake4/pkg-plist
==============================================================================
--- head/devel/qmake4/pkg-plist	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qmake4/pkg-plist	Sun Oct 13 23:15:50 2013	(r330266)
@@ -9,6 +9,10 @@ share/qt4/mkspecs/aix-xlc/qmake.conf
 share/qt4/mkspecs/aix-xlc/qplatformdefs.h
 share/qt4/mkspecs/blackberry-armv7le-qcc/qmake.conf
 share/qt4/mkspecs/blackberry-armv7le-qcc/qplatformdefs.h
+share/qt4/mkspecs/blackberry-playbook-armv7le-qcc/qmake.conf
+share/qt4/mkspecs/blackberry-playbook-armv7le-qcc/qplatformdefs.h
+share/qt4/mkspecs/blackberry-playbook-x86-qcc/qmake.conf
+share/qt4/mkspecs/blackberry-playbook-x86-qcc/qplatformdefs.h
 share/qt4/mkspecs/blackberry-x86-qcc/qmake.conf
 share/qt4/mkspecs/blackberry-x86-qcc/qplatformdefs.h
 share/qt4/mkspecs/common/aix/qplatformdefs.h
@@ -201,6 +205,8 @@ share/qt4/mkspecs/features/win32/windows
 share/qt4/mkspecs/features/yacc.prf
 share/qt4/mkspecs/freebsd-clang/qmake.conf
 share/qt4/mkspecs/freebsd-clang/qplatformdefs.h
+share/qt4/mkspecs/freebsd-clang++33/qmake.conf
+share/qt4/mkspecs/freebsd-clang++33/qplatformdefs.h
 share/qt4/mkspecs/freebsd-g++/qmake.conf
 share/qt4/mkspecs/freebsd-g++/qplatformdefs.h
 share/qt4/mkspecs/freebsd-g++42/qmake.conf
@@ -213,6 +219,8 @@ share/qt4/mkspecs/freebsd-g++47/qmake.co
 share/qt4/mkspecs/freebsd-g++47/qplatformdefs.h
 share/qt4/mkspecs/freebsd-g++48/qmake.conf
 share/qt4/mkspecs/freebsd-g++48/qplatformdefs.h
+share/qt4/mkspecs/freebsd-g++49/qmake.conf
+share/qt4/mkspecs/freebsd-g++49/qplatformdefs.h
 share/qt4/mkspecs/freebsd-icc/qmake.conf
 share/qt4/mkspecs/freebsd-icc/qplatformdefs.h
 share/qt4/mkspecs/hpux-acc-64/qmake.conf
@@ -708,12 +716,14 @@ share/qt4/mkspecs/wincewm65professional-
 @dirrm share/qt4/mkspecs/hpux-acc-64
 @dirrm share/qt4/mkspecs/hpux-acc
 @dirrm share/qt4/mkspecs/freebsd-icc
+@dirrm share/qt4/mkspecs/freebsd-g++49
 @dirrm share/qt4/mkspecs/freebsd-g++48
 @dirrm share/qt4/mkspecs/freebsd-g++47
 @dirrm share/qt4/mkspecs/freebsd-g++46
 @dirrm share/qt4/mkspecs/freebsd-g++44
 @dirrm share/qt4/mkspecs/freebsd-g++42
 @dirrm share/qt4/mkspecs/freebsd-g++
+@dirrm share/qt4/mkspecs/freebsd-clang++33
 @dirrm share/qt4/mkspecs/freebsd-clang
 @dirrm share/qt4/mkspecs/features/win32
 @dirrm share/qt4/mkspecs/features/unix
@@ -737,6 +747,8 @@ share/qt4/mkspecs/wincewm65professional-
 @dirrm share/qt4/mkspecs/common/aix
 @dirrm share/qt4/mkspecs/common
 @dirrm share/qt4/mkspecs/blackberry-x86-qcc
+@dirrm share/qt4/mkspecs/blackberry-playbook-x86-qcc
+@dirrm share/qt4/mkspecs/blackberry-playbook-armv7le-qcc
 @dirrm share/qt4/mkspecs/blackberry-armv7le-qcc
 @dirrm share/qt4/mkspecs/aix-xlc-64
 @dirrm share/qt4/mkspecs/aix-xlc

Modified: head/devel/qt4-assistant-adp/Makefile
==============================================================================
--- head/devel/qt4-assistant-adp/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-assistant-adp/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -18,13 +18,14 @@ COMMENT=	Qt documentation browser, adp c
 USE_QT4=	qmake_build moc_build rcc_build uic_build corelib \
 		gui network xml doc dbus
 
+# stage support
+DESTDIRNAME=	INSTALL_ROOT
 ALL_TARGET=	first
 
 WRKSRC=		${WRKDIR}/${DISTNAME:C/src/version/}
 
 PLIST_FILES=	bin/assistant_adp
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|$$$$\[QT_INSTALL_BINS]|${PREFIX}/bin|g' \
 		${WRKSRC}/compat.pro

Modified: head/devel/qt4-assistant/Makefile
==============================================================================
--- head/devel/qt4-assistant/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-assistant/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -40,9 +40,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/${PORTNAME}/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} \
 		-e 's|^TARGET.*|TARGET=assistant-qt4|g' \
@@ -55,6 +54,6 @@ pre-configure:
 
 post-install:
 	${INSTALL_DATA} ${BUILD_WRKSRC}/images/assistant-128.png \
-		${PREFIX}/share/pixmaps/assistant-qt4.png
+		${STAGEDIR}${PREFIX}/share/pixmaps/assistant-qt4.png
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-corelib/Makefile
==============================================================================
--- head/devel/qt4-corelib/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-corelib/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -3,7 +3,6 @@
 
 PORTNAME=	corelib
 DISTVERSION=	${QT4_VERSION}
-PORTREVISION=	5
 CATEGORIES?=	devel
 PKGNAMEPREFIX=	qt4-
 
@@ -41,9 +40,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 .include "${.CURDIR}/../../devel/qt4/files/Makefile.options"
 
 .if empty(QT4_OPTIONS:MCUPS)
@@ -79,8 +77,9 @@ post-configure:
 		${WRKSRC}/lib/pkgconfig/QtCore.pc
 
 post-install:
-	${MKDIR} ${PREFIX}/lib/qt4/plugins
-	${TOUCH} ${PREFIX}/lib/qt4/plugins/.keep_me
-	${INSTALL_DATA} ${WRKSRC}/mkspecs/qconfig.pri ${PREFIX}/share/qt4/mkspecs/
+	${MKDIR} ${STAGEDIR}${PREFIX}/lib/qt4/plugins
+	${TOUCH} ${STAGEDIR}${PREFIX}/lib/qt4/plugins/.keep_me
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/qt4/mkspecs
+	${INSTALL_DATA} ${WRKSRC}/mkspecs/qconfig.pri ${STAGEDIR}${PREFIX}/share/qt4/mkspecs/
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-corelib/pkg-plist
==============================================================================
--- head/devel/qt4-corelib/pkg-plist	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-corelib/pkg-plist	Sun Oct 13 23:15:50 2013	(r330266)
@@ -89,6 +89,7 @@ include/qt4/Qt/qline.h
 include/qt4/Qt/qlinkedlist.h
 include/qt4/Qt/qlist.h
 include/qt4/Qt/qlocale.h
+include/qt4/Qt/qlocale_blackberry.h
 include/qt4/Qt/qmap.h
 include/qt4/Qt/qmargins.h
 include/qt4/Qt/qmath.h
@@ -189,6 +190,7 @@ include/qt4/QtCore/QAnimationGroup
 include/qt4/QtCore/QArgument
 include/qt4/QtCore/QAtomicInt
 include/qt4/QtCore/QAtomicPointer
+include/qt4/QtCore/QBBSystemLocaleData
 include/qt4/QtCore/QBasicAtomicInt
 include/qt4/QtCore/QBasicAtomicPointer
 include/qt4/QtCore/QBasicTimer
@@ -535,6 +537,7 @@ include/qt4/QtCore/qline.h
 include/qt4/QtCore/qlinkedlist.h
 include/qt4/QtCore/qlist.h
 include/qt4/QtCore/qlocale.h
+include/qt4/QtCore/qlocale_blackberry.h
 include/qt4/QtCore/qmap.h
 include/qt4/QtCore/qmargins.h
 include/qt4/QtCore/qmath.h

Modified: head/devel/qt4-declarative/Makefile
==============================================================================
--- head/devel/qt4-declarative/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-declarative/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -35,9 +35,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-designer/Makefile
==============================================================================
--- head/devel/qt4-designer/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-designer/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -42,9 +42,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|^TARGET.*|TARGET=designer-qt4|g' \
 		${BUILD_WRKSRC}/src/${PORTNAME}/${PORTNAME}.pro
@@ -71,6 +70,6 @@ pre-install:
 
 post-install:
 	${INSTALL_DATA} ${BUILD_WRKSRC}/src/designer/images/designer.png \
-		${PREFIX}/share/pixmaps/designer-qt4.png
+		${STAGEDIR}${PREFIX}/share/pixmaps/designer-qt4.png
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-help-tools/Makefile
==============================================================================
--- head/devel/qt4-help-tools/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-help-tools/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -37,9 +37,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/assistant/tools
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|assistant||' \
 		${BUILD_WRKSRC}/tools.pro

Modified: head/devel/qt4-help/Makefile
==============================================================================
--- head/devel/qt4-help/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-help/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -37,9 +37,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/assistant/lib
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-libqtassistantclient/Makefile
==============================================================================
--- head/devel/qt4-libqtassistantclient/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-libqtassistantclient/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -19,12 +19,13 @@ USE_QT4=	qmake_build moc_build rcc_build
 USE_LDCONFIG=	${PREFIX}/${QT_LIBDIR_REL}
 
 ALL_TARGET=	first
+# stage support
+DESTDIRNAME=	INSTALL_ROOT
 
 WRKSRC=		${WRKDIR}/${DISTNAME:C/src/version/}
 BUILD_WRKSRC=	${WRKSRC}/lib
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|$$$$\[QT_INSTALL_HEADERS]|${PREFIX}/${QT_INCDIR_REL}|g' \
 		-e 's|$$$$\[QT_INSTALL_LIBS]|${PREFIX}/${QT_LIBDIR_REL}|g' \
@@ -48,9 +49,10 @@ pre-build:
 		${BUILD_WRKSRC}/QtAssistant
 
 post-install:
-	${INSTALL_DATA} ${FILESDIR}/QAssistantClient ${PREFIX}/${QT_INCDIR_REL}/QtAssistant
-	${INSTALL_DATA} ${FILESDIR}/QtAssistant ${PREFIX}/${QT_INCDIR_REL}/QtAssistant
-	${MKDIR} ${PREFIX}/share/qt4/mkspecs/features
-	${INSTALL_DATA} ${WRKSRC}/features/assistant.prf ${PREFIX}/share/qt4/mkspecs/features
+	${MKDIR} ${STAGEDIR}${PREFIX}/${QT_INCDIR_REL}/QtAssistant
+	${INSTALL_DATA} ${FILESDIR}/QAssistantClient ${STAGEDIR}${PREFIX}/${QT_INCDIR_REL}/QtAssistant
+	${INSTALL_DATA} ${FILESDIR}/QtAssistant ${STAGEDIR}${PREFIX}/${QT_INCDIR_REL}/QtAssistant
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/qt4/mkspecs/features
+	${INSTALL_DATA} ${WRKSRC}/features/assistant.prf ${STAGEDIR}${PREFIX}/share/qt4/mkspecs/features
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-linguist/Makefile
==============================================================================
--- head/devel/qt4-linguist/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-linguist/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -40,9 +40,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -E -e 's|^TARGET[[:blank:]]*=[[:blank:]]*([a-z]+)|TARGET=\1-qt4|g' \
 		${BUILD_WRKSRC}/${PORTNAME}.pro ${BUILD_WRKSRC}/${PORTNAME}/${PORTNAME}.pro \
@@ -55,6 +54,6 @@ pre-configure:
 
 post-install:
 	${INSTALL_DATA} ${BUILD_WRKSRC}/linguist/images/icons/linguist-128-32.png \
-		${PREFIX}/share/pixmaps/linguist-qt4.png
+		${STAGEDIR}${PREFIX}/share/pixmaps/linguist-qt4.png
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-makeqpf/Makefile
==============================================================================
--- head/devel/qt4-makeqpf/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-makeqpf/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -9,6 +9,8 @@ PKGNAMEPREFIX=	qt4-
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Qt qtopia font creator
 
+BROKEN_sparc64=	does not compile
+
 USE_QT4=	qmake_build moc_build rcc_build uic_build corelib gui
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
@@ -35,18 +37,7 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
-
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 802502
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch__tools__makeqpf__qpf2.cpp
-.endif
-
-.if ${ARCH} == "sparc64"
-BROKEN=		does not compile on sparc64
-.endif
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
 pre-configure:
 	${REINPLACE_CMD} -e 's|^TARGET[[:blank:]]*=[[:blank:]]*|TARGET=${PORTNAME}-qt4|g' \
@@ -57,4 +48,4 @@ pre-configure:
 	${LN} -sf ${LOCALBASE}/bin/uic-qt4 ${WRKSRC}/bin/uic
 	${LN} -sf ${LOCALBASE}/bin/rcc ${WRKSRC}/bin/rcc
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/qt4-moc/Makefile
==============================================================================
--- head/devel/qt4-moc/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-moc/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -9,6 +9,8 @@ PKGNAMEPREFIX=	qt4-
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Qt meta object compiler
 
+BROKEN_arm=	does not compile
+
 USE_QT4=	qmake_build
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
@@ -35,9 +37,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|target.path.*|target.path=${PREFIX}/bin|g' \
 			-e 's|^TARGET.*|TARGET=moc-qt4|g' \
@@ -48,10 +49,4 @@ pre-configure:
 pre-build:
 	cd ${BUILD_WRKSRC}/../bootstrap && ${MAKE}
 
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "arm"
-BROKEN=		does not compile on arm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/qt4-porting/Makefile
==============================================================================
--- head/devel/qt4-porting/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-porting/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -35,9 +35,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-qdbusviewer/Makefile
==============================================================================
--- head/devel/qt4-qdbusviewer/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-qdbusviewer/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -43,9 +43,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/qdbus/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 post-patch:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake
@@ -54,6 +53,6 @@ post-patch:
 
 post-install:
 	${INSTALL_DATA} ${BUILD_WRKSRC}/images/qdbusviewer-128.png \
-		${PREFIX}/share/pixmaps/qdbusviewer.png
+		${STAGEDIR}${PREFIX}/share/pixmaps/qdbusviewer.png
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-qdoc3/Makefile
==============================================================================
--- head/devel/qt4-qdoc3/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-qdoc3/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -27,12 +27,11 @@ DO_NOT_EXTRACT=	demos doc examples mkspe
 EXTRACT_AFTER_ARGS+=	--exclude '${DISTNAME}/${dne}'
 .endfor
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
 BUILD_WRKSRC=	${WRKSRC}/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs/modules
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-qmlviewer/Makefile
==============================================================================
--- head/devel/qt4-qmlviewer/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-qmlviewer/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -41,9 +41,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/tools/qml/
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 post-patch:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-qt3support/Makefile
==============================================================================
--- head/devel/qt4-qt3support/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-qt3support/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -36,9 +36,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-qtestlib/Makefile
==============================================================================
--- head/devel/qt4-qtestlib/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-qtestlib/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -36,9 +36,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/testlib
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-qvfb/Makefile
==============================================================================
--- head/devel/qt4-qvfb/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-qvfb/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -42,9 +42,8 @@ INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
 CONFIGURE_ARGS+=	-I../../include/Qt -I../../include
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${REINPLACE_CMD} -e 's|^TARGET.*|TARGET=qvfb-qt4|g' \
@@ -56,6 +55,6 @@ pre-configure:
 
 post-install:
 	${INSTALL_DATA} ${BUILD_WRKSRC}/images/logo.png \
-		${PREFIX}/share/pixmaps/qvfb-qt4.png
+		${STAGEDIR}${PREFIX}/share/pixmaps/qvfb-qt4.png
 
 .include <bsd.port.mk>

Modified: head/devel/qt4-rcc/Makefile
==============================================================================
--- head/devel/qt4-rcc/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-rcc/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -9,6 +9,8 @@ PKGNAMEPREFIX=	qt4-
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Qt resource compiler
 
+BROKEN_arm=	does not compile
+
 USE_QT4=	qmake_build
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
@@ -35,9 +37,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|target.path.*|target.path=${PREFIX}/bin|g' \
 		${BUILD_WRKSRC}/${PORTNAME}.pro
@@ -47,10 +48,4 @@ pre-configure:
 pre-build:
 	cd ${BUILD_WRKSRC}/../bootstrap && ${MAKE}
 
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "arm"
-BROKEN=		does not configure on arm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/qt4-script/Makefile
==============================================================================
--- head/devel/qt4-script/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-script/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -3,7 +3,6 @@
 
 PORTNAME=	script
 DISTVERSION=	${QT4_VERSION}
-PORTREVISION=	1
 CATEGORIES?=	devel
 PKGNAMEPREFIX=	qt4-
 
@@ -38,9 +37,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-scripttools/Makefile
==============================================================================
--- head/devel/qt4-scripttools/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-scripttools/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -35,9 +35,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4-uic/Makefile
==============================================================================
--- head/devel/qt4-uic/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-uic/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -9,6 +9,8 @@ PKGNAMEPREFIX=	qt4-
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Qt user interface compiler
 
+BROKEN_arm=	does not compile
+
 USE_QT4=	qmake_build
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
@@ -35,9 +37,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${REINPLACE_CMD} -e 's|target.path.*|target.path=${PREFIX}/bin|g' \
 			-e 's|^TARGET.*|TARGET=uic-qt4|g' \
@@ -48,10 +49,4 @@ pre-configure:
 pre-build:
 	cd ${BUILD_WRKSRC}/../bootstrap && ${MAKE}
 
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "arm"
-BROKEN=		does not configure on arm
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/qt4-uic3/Makefile
==============================================================================
--- head/devel/qt4-uic3/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4-uic3/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -34,9 +34,8 @@ EXTRACT_AFTER_ARGS+=	--exclude '${DISTNA
 BUILD_WRKSRC=	${WRKSRC}/src/tools/${PORTNAME}
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 
-EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
+EXTRA_PATCHES+=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
-NO_STAGE=	yes
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake

Modified: head/devel/qt4/Makefile
==============================================================================
--- head/devel/qt4/Makefile	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4/Makefile	Sun Oct 13 23:15:50 2013	(r330266)
@@ -26,7 +26,7 @@ CODECS_DESC=	CN, JP, KR, TW codecs suppo
 SQL_PLUGINS_DESC=	Install database plugins for QtSql
 TOOLS_DESC=	Install Qt tools (qmake, moc, etc.)
 
-NO_STAGE=	yes
+NO_MTREE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MCODECS}

Modified: head/devel/qt4/distinfo
==============================================================================
--- head/devel/qt4/distinfo	Sun Oct 13 22:50:08 2013	(r330265)
+++ head/devel/qt4/distinfo	Sun Oct 13 23:15:50 2013	(r330266)
@@ -1,2 +1,2 @@
-SHA256 (KDE/qt-everywhere-opensource-src-4.8.4.tar.gz) = 33b0e38ba4c54a0cf8a4be8ca5a4584f1c2e0adfecb57b21d9d1d267b0093270
-SIZE (KDE/qt-everywhere-opensource-src-4.8.4.tar.gz) = 236593028
+SHA256 (KDE/qt-everywhere-opensource-src-4.8.5.tar.gz) = eb728f8268831dc4373be6403b7dd5d5dde03c169ad6882f9a8cb560df6aa138
+SIZE (KDE/qt-everywhere-opensource-src-4.8.5.tar.gz) = 241491467

Modified: head/devel/qt4/files/patch-configure
==============================================================================
--- head/devel/qt4/files/patch-configure	Sun Oct 13 22:50:08 2013	(r330265)

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Raphael Kubo da Costa freebsd_committer 2013-10-14 00:16:43 UTC
State Changed
From-To: patched->closed

Committed. Thanks!